HepMC3 event record library: XSecInfo Struct Reference

HepMC3 event record library

Public Types | Public Member Functions | Static Public Member Functions | Data Fields
XSecInfo Struct Reference

## Detailed Description

The XSecInfo class contains information given in the xsecinfo tag.

Definition at line 529 of file LHEF.h.

`#include <LHEF.h>`

Inheritance diagram for XSecInfo:
[legend]
Collaboration diagram for XSecInfo:
[legend]

## Public Types
typedef XMLTag::AttributeMap | AttributeMap

## Public Member Functions
| XSecInfo ()
| XSecInfo (const XMLTag &tag)
void | print (std::ostream &file) const
bool | getattr (const std::string &n, double &v, bool erase=true)
bool | getattr (const std::string &n, bool &v, bool erase=true)
bool | getattr (const std::string &n, long &v, bool erase=true)
bool | getattr (const std::string &n, int &v, bool erase=true)
bool | getattr (const std::string &n, std::string &v, bool erase=true)
void | printattrs (std::ostream &file) const
void | closetag (std::ostream &file, const std::string &tag) const

## Static Public Member Functions
static std::string | yes ()

## Data Fields
long | neve
long | ntries
double | totxsec
double | xsecerr
double | maxweight
double | meanweight
bool | negweights
bool | varweights
std::string | weightname
XMLTag::AttributeMap | attributes
std::string | contents

## Member Typedef Documentation

## ◆ AttributeMap

typedef XMLTag::AttributeMap AttributeMap
| inherited

Convenient typedef.

Definition at line 367 of file LHEF.h.

## Constructor & Destructor Documentation

## ◆ XSecInfo() [1/2]

XSecInfo | ( |  | ) |
| inline

Intitialize default values.

Definition at line 534 of file LHEF.h.

References maxweight, meanweight, negweights, neve, ntries, totxsec, varweights, and xsecerr.

## ◆ XSecInfo() [2/2]

XSecInfo | ( | const XMLTag & | tag | ) |
| inline

Create from XML tag

Definition at line 540 of file LHEF.h.

References TagBase::contents, TagBase::getattr(), maxweight, meanweight, negweights, neve, ntries, TagBase::TagBase(), totxsec, varweights, weightname, and xsecerr.

## Member Function Documentation

## ◆ closetag()

void closetag | ( | std::ostream & | file,
|  | const std::string & | tag ) const
| inlineinherited

Print out end of tag marker. Print contents if not empty else print simple close tag.

Definition at line 463 of file LHEF.h.

References contents.

## ◆ getattr() [1/5]

bool getattr | ( | const std::string & | n,
|  | bool & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the bool variable v to true if the corresponding value is "yes". Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 400 of file LHEF.h.

References attributes.

## ◆ getattr() [2/5]

bool getattr | ( | const std::string & | n,
|  | double & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the double variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 386 of file LHEF.h.

References attributes.

## ◆ getattr() [3/5]

bool getattr | ( | const std::string & | n,
|  | int & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 428 of file LHEF.h.

References attributes.

## ◆ getattr() [4/5]

bool getattr | ( | const std::string & | n,
|  | long & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the long variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 414 of file LHEF.h.

References attributes.

## ◆ getattr() [5/5]

bool getattr | ( | const std::string & | n,
|  | std::string & | v,
|  | bool | erase = true )
| inlineinherited

Find an attribute named n and set the string variable v to the corresponding value. Remove the correspondig attribute from the list if found and erase is true.

Returns
  false if no attribute was found.

Definition at line 442 of file LHEF.h.

References attributes.

## ◆ print()

void print | ( | std::ostream & | file | ) | const
| inline

Print out an XML tag.

Definition at line 564 of file LHEF.h.

References TagBase::closetag(), maxweight, meanweight, negweights, neve, ntries, LHEF::oattr(), TagBase::printattrs(), totxsec, varweights, weightname, xsecerr, and TagBase::yes().

## ◆ printattrs()

void printattrs | ( | std::ostream & | file | ) | const
| inlineinherited

print out ' name="value"' for all unparsed attributes.

Definition at line 453 of file LHEF.h.

References attributes, and LHEF::oattr().

## ◆ yes()

std::string yes | ( |  | ) |
| inlinestaticinherited

Static string token for truth values.

Definition at line 485 of file LHEF.h.

## Field Documentation

## ◆ attributes

XMLTag::AttributeMap attributes
| inherited

The attributes of this tag;

Definition at line 475 of file LHEF.h.

## ◆ contents

std::string contents
| mutableinherited

The contents of this tag.

Definition at line 480 of file LHEF.h.

## ◆ maxweight

double maxweight

The maximum weight.

Definition at line 602 of file LHEF.h.

## ◆ meanweight

double meanweight

The average weight.

Definition at line 607 of file LHEF.h.

## ◆ negweights

bool negweights

Does the file contain negative weights?

Definition at line 612 of file LHEF.h.

## ◆ neve

long neve

The number of events.

Definition at line 582 of file LHEF.h.

## ◆ ntries

long ntries

The number of attempte that was needed to produce the neve events.

Definition at line 587 of file LHEF.h.

## ◆ totxsec

double totxsec

The total cross section in pb.

Definition at line 592 of file LHEF.h.

## ◆ varweights

bool varweights

Does the file contain varying weights?

Definition at line 617 of file LHEF.h.

## ◆ weightname

std::string weightname

The named weight to which this object belongs.

Definition at line 622 of file LHEF.h.

## ◆ xsecerr

double xsecerr

The estimated statistical error on totxsec.

Definition at line 597 of file LHEF.h.

The documentation for this struct was generated from the following file:

- LHEF.h